Name:          hspell
Version:       1.4
Release:       7
Summary:       A checker for Hebrew spell
License:       AGPLv3
URL:           http://hspell.ivrix.org.il/
Source0:       http://hspell.ivrix.org.il/hspell-%{version}.tar.gz
Patch0000:     0001-require-local-module-explicitly.patch

BuildRequires: hunspell-devel perl-generators zlib-devel gcc aspell

%description
Hspell is a free Hebrew spell-checker and morphological analyzer, which provides a spell-like
interface that can give the list of wrong words in the input text and prints all known
meanings of a Hebrew string.

%package devel
Summary:       Provides library and include files for Hspell
Requires:      hspell = %{version}-%{release}

%description devel
This package provides library and include files for applications that want to use Hspell.

%package -n hunspell-he
Summary:       Provides dictionaries for hebrew hunspell
Requires:      hunspell

%description -n hunspell-he
The package provides hebrew hunspell dictionaries.

%package help
Summary:       Help docs for hspell and hspell-devel

%description help
This help package contains help and man docs for hspell and hspell-devel

%prep
%autosetup -n hspell-%{version} -p1
/usr/bin/iconv -f hebrew -t utf8 -o WHATSNEW WHATSNEW

%build
%configure --enable-fatverb --enable-linginfo --enable-shared
make
make hunspell

%install
%make_install STRIP=:
install -Dp he.dic $RPM_BUILD_ROOT/%{_datadir}/myspell/he_IL.dic
install -Dp he.aff $RPM_BUILD_ROOT/%{_datadir}/myspell/he_IL.aff

%check

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc LICENSE WHATSNEW COPYING
%{_bindir}/{hspell,hspell-i,multispell}
%{_libdir}/libhspell.so
%{_libdir}/libhspell.so.0
%{_datadir}/hspell/
%exclude %{_libdir}/libhspell.a

%files devel
%{_includedir}/*.h

%files -n hunspell-he
%doc LICENSE
%{_datadir}/myspell/*

%files help
%doc README
%{_mandir}/man1/hspell.1*
%{_mandir}/man3/hspell.3*

%changelog
* Tue Apr 14 2020 sunguoshuai <sunguoshuai@huawei.com> - 1.4-7
- Package init.
